.ws-block-PreviewCard {
    width: 100%;
}

.ws-block-preview-card__image-container {
    position: relative;
    display: inline-block;
    width: 100%;
    aspect-ratio: 364/400;
   /* height: 400px;*/
    overflow: clip;
}

.ws-block-preview-card__etiquette {
    opacity: 0;
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 1;
    padding: 5px 10px;
    background-color: var(--ap-background-1);
    transition: opacity 0.3s ease;
}

.ws-block-PreviewCard .ws-block-preview-card__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.2s ease;
}

.ws-block-PreviewCard:hover .ws-block-preview-card__etiquette {
    opacity: 1;
}

.ws-block-PreviewCard:hover .ws-block-preview-card__image {
    transform: scale(1.05);
}

.ws-block-preview-card__content {
    display: flex;
    flex-direction: column;
    gap: 8px;
    padding: 20px 0;
}

.ws-block-preview-card__content.center {
    align-items: center;
}

.ws-block-preview-card__content.center .ws-block-preview-card__title {
    max-width: 310px;
}

.ws-block-preview-card__subtitle {
    color: rgba(0, 0, 0, 0.40);
}

@media (max-width: 850px) {
    .ws-block-preview-card__content.center .ws-block-preview-card__title {
        max-width: 100%;
    }

    .ws-block-preview-card__content.center {
        align-items: flex-start;
    }
}